Skip to content
OpenPostDocs
OpenPostDocs
Stock Media

Search configured stock photo and video providers

GET/stock-media/search

Query Parameters

provider*string

Value in

  • "pexels"
  • "unsplash"
  • "pixabay"
query*string
Length1 <= length <= 120
kind?string
Default"photo"

Value in

  • "photo"
  • "video"
orientation?string

Value in

  • "landscape"
  • "portrait"
  • "square"
size?string

Value in

  • "small"
  • "medium"
  • "large"
color?string
Lengthlength <= 80
locale?string
Lengthlength <= 12
order?string

Value in

  • "relevant"
  • "latest"
  • "popular"
content_filter?string

Value in

  • "low"
  • "high"
collections?string
Lengthlength <= 500
category?string
Lengthlength <= 40
media_subtype?string

Value in

  • "all"
  • "photo"
  • "illustration"
  • "vector"
editors_choice?boolean
min_width?integer
Formatint64
Range0 <= value <= 20000
min_height?integer
Formatint64
Range0 <= value <= 20000
page?integer
Formatint64
Range1 <= value <= 500
Default1
per_page?integer
Formatint64
Range1 <= value <= 40
Default24

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/stock-media/search?provider=pexels&query=string"
{  "$schema": "https://example.com/api/v1/schemas/SearchPage.json",  "has_more": true,  "items": [    {      "attribution_text": "string",      "creator_name": "string",      "creator_url": "string",      "duration_seconds": 0,      "external_id": "string",      "height": 0,      "kind": "string",      "license_name": "string",      "license_url": "string",      "preview_url": "string",      "provider": "string",      "provider_url": "string",      "source_url": "string",      "thumbnail_url": "string",      "title": "string",      "width": 0    }  ],  "page": 0,  "per_page": 0,  "provider": "string",  "provider_url": "string",  "total": 0}